.wishlist{
    margin-top: 2rem;

    &__button{
        margin-top:2rem;
    }
    
    .cart-table{
        width:100%;
        padding:2rem 10rem 0;

        @include sm{
            padding:0;
        }

        @each $nth, $props in $product-cart-table-column-props{
            &__cell{
                &:nth-child(#{$nth}){
                    width:100%;
                    max-width: calc(#{nth($props, 1)} / 0.7 );
                }
            }
        }

        &__cell:nth-child(1){
            max-width: calc(70px / 0.7);
            position: relative;
        }

        &__cell:nth-child(2){
            padding-left:2rem;
        }

        .button{
            background:$grey-light;
            padding:.5rem 3rem;
            color:$black;
        }
    }

    .sold-out{
        @include flex($align: center, $just: center);

        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;

        background: transparentize($color: $black-abs, $amount: 0.5);

        color: white;
        text-transform: uppercase;
        font-size: 1.8rem;
        letter-spacing: 1px;
        text-align: center;
    }
}